<?php
/**
 * iF.SVNAdmin
 * Copyright (c) 2010 by Manuel Freiholz
 * http://www.insanefactory.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.
 */
include("include/config.inc.php");
$appEngine->checkUserAuthentication();

$appTR->loadModule("logged_out");

// The only function of this page is to log the user off.
// So we can directly handle the "logout"-action.
$appEngine->handleAction('logout');

// After we logged the user out we show a page, which shows the user
// that he is logged out now.
$appTemplate->loadFromFile( new \IF_File("templates/logged_out.html") );
$appTemplate->processTemplate();
?>